com.amazonaws.services.workspaces.model

## Class RebootRequest

- java.lang.Object
- - com.amazonaws.services.workspaces.model.RebootRequest

All Implemented Interfaces:
  Serializable, Cloneable

    public class RebootRequest
    extends Object
    implements Serializable, Cloneable

Contains information used with the RebootWorkspaces operation to reboot a WorkSpace.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RebootRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RebootRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getWorkspaceId()` The identifier of the WorkSpace to reboot.
`int` `hashCode()`
`void` `setWorkspaceId(String workspaceId)` The identifier of the WorkSpace to reboot.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RebootRequest` `withWorkspaceId(String workspaceId)` The identifier of the WorkSpace to reboot.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RebootRequest

    public RebootRequest()

### Method Detail

#### setWorkspaceId

    public void setWorkspaceId(String workspaceId)

The identifier of the WorkSpace to reboot.

Parameters:
  `workspaceId` - The identifier of the WorkSpace to reboot.

#### getWorkspaceId

    public String getWorkspaceId()

The identifier of the WorkSpace to reboot.

Returns:
  The identifier of the WorkSpace to reboot.

#### withWorkspaceId

    public RebootRequest withWorkspaceId(String workspaceId)

The identifier of the WorkSpace to reboot.

Parameters:
  `workspaceId` - The identifier of the WorkSpace to reboot.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RebootRequest clone()

Overrides:
  `clone` in class `Object`